********************************************************************************
********************************************************************************
********************************************************************************
* the soc90_BB codes
********************************************************************************
********************************************************************************
********************************************************************************

* Replacing this in the main data
capture drop soc90_BB
gen soc90_BB = .
label var soc90_BB "Occupation - BB regrouped version of SOC90, equivalent to 2/3 digits"
	// Taken from BBoccs on the Excel spreadsheet
replace soc90_BB = 101 if soc90_allyr==100
replace soc90_BB = 101 if soc90_allyr==101
replace soc90_BB = 118 if soc90_allyr==102
replace soc90_BB = 118 if soc90_allyr==103
replace soc90_BB = 102 if soc90_allyr==110
replace soc90_BB = 103 if soc90_allyr==111
replace soc90_BB = 103 if soc90_allyr==112
replace soc90_BB = 103 if soc90_allyr==113
replace soc90_BB = 104 if soc90_allyr==120
replace soc90_BB = 105 if soc90_allyr==121
replace soc90_BB = 106 if soc90_allyr==122
replace soc90_BB = 119 if soc90_allyr==123
replace soc90_BB = 107 if soc90_allyr==124
replace soc90_BB = 106 if soc90_allyr==125
replace soc90_BB = 106 if soc90_allyr==126
replace soc90_BB = 104 if soc90_allyr==127
replace soc90_BB = 109 if soc90_allyr==130
replace soc90_BB = 108 if soc90_allyr==131
replace soc90_BB = 109 if soc90_allyr==132
replace soc90_BB = 109 if soc90_allyr==139
replace soc90_BB = 110 if soc90_allyr==140
replace soc90_BB = 110 if soc90_allyr==141
replace soc90_BB = 110 if soc90_allyr==142
replace soc90_BB = 111 if soc90_allyr==150
replace soc90_BB = 111 if soc90_allyr==151
replace soc90_BB = 111 if soc90_allyr==152
replace soc90_BB = 111 if soc90_allyr==153
replace soc90_BB = 111 if soc90_allyr==154
replace soc90_BB = 111 if soc90_allyr==155
replace soc90_BB = 112 if soc90_allyr==160
replace soc90_BB = 112 if soc90_allyr==169
replace soc90_BB = 113 if soc90_allyr==170
replace soc90_BB = 113 if soc90_allyr==171
replace soc90_BB = 120 if soc90_allyr==172
replace soc90_BB = 116 if soc90_allyr==173
replace soc90_BB = 115 if soc90_allyr==174
replace soc90_BB = 116 if soc90_allyr==175
replace soc90_BB = 113 if soc90_allyr==176
replace soc90_BB = 113 if soc90_allyr==177
replace soc90_BB = 113 if soc90_allyr==178
replace soc90_BB = 113 if soc90_allyr==179
replace soc90_BB = 117 if soc90_allyr==190
replace soc90_BB = 117 if soc90_allyr==191
replace soc90_BB = 117 if soc90_allyr==199
replace soc90_BB = 201 if soc90_allyr==200
replace soc90_BB = 201 if soc90_allyr==201
replace soc90_BB = 201 if soc90_allyr==202
replace soc90_BB = 201 if soc90_allyr==209
replace soc90_BB = 204 if soc90_allyr==210
replace soc90_BB = 204 if soc90_allyr==211
replace soc90_BB = 205 if soc90_allyr==212
replace soc90_BB = 205 if soc90_allyr==213
replace soc90_BB = 203 if soc90_allyr==214
replace soc90_BB = 205 if soc90_allyr==215
replace soc90_BB = 217 if soc90_allyr==216
replace soc90_BB = 205 if soc90_allyr==217
replace soc90_BB = 205 if soc90_allyr==218
replace soc90_BB = 205 if soc90_allyr==219
replace soc90_BB = 206 if soc90_allyr==220
replace soc90_BB = 207 if soc90_allyr==221
replace soc90_BB = 207 if soc90_allyr==222
replace soc90_BB = 207 if soc90_allyr==223
replace soc90_BB = 207 if soc90_allyr==224
replace soc90_BB = 208 if soc90_allyr==230
replace soc90_BB = 209 if soc90_allyr==231
replace soc90_BB = 210 if soc90_allyr==232
replace soc90_BB = 210 if soc90_allyr==233
replace soc90_BB = 211 if soc90_allyr==234
replace soc90_BB = 212 if soc90_allyr==235
replace soc90_BB = 212 if soc90_allyr==239
replace soc90_BB = 213 if soc90_allyr==240
replace soc90_BB = 213 if soc90_allyr==241
replace soc90_BB = 213 if soc90_allyr==242
replace soc90_BB = 214 if soc90_allyr==250
replace soc90_BB = 218 if soc90_allyr==251
replace soc90_BB = 218 if soc90_allyr==252
replace soc90_BB = 218 if soc90_allyr==253
replace soc90_BB = 215 if soc90_allyr==260
replace soc90_BB = 215 if soc90_allyr==261
replace soc90_BB = 215 if soc90_allyr==262
replace soc90_BB = . if soc90_allyr==270
replace soc90_BB = . if soc90_allyr==271
replace soc90_BB = 207 if soc90_allyr==290
replace soc90_BB = 201 if soc90_allyr==291
replace soc90_BB = . if soc90_allyr==292
replace soc90_BB = 216 if soc90_allyr==293
replace soc90_BB = 301 if soc90_allyr==300
replace soc90_BB = 301 if soc90_allyr==301
replace soc90_BB = 301 if soc90_allyr==302
replace soc90_BB = 302 if soc90_allyr==303
replace soc90_BB = 302 if soc90_allyr==304
replace soc90_BB = 302 if soc90_allyr==309
replace soc90_BB = 303 if soc90_allyr==310
replace soc90_BB = 303 if soc90_allyr==311
replace soc90_BB = 303 if soc90_allyr==312
replace soc90_BB = 303 if soc90_allyr==313
replace soc90_BB = 304 if soc90_allyr==320
replace soc90_BB = . if soc90_allyr==330
replace soc90_BB = . if soc90_allyr==331
replace soc90_BB = . if soc90_allyr==332
replace soc90_BB = 306 if soc90_allyr==340
replace soc90_BB = 306 if soc90_allyr==341
replace soc90_BB = 307 if soc90_allyr==342
replace soc90_BB = 308 if soc90_allyr==343
replace soc90_BB = 307 if soc90_allyr==344
replace soc90_BB = 307 if soc90_allyr==345
replace soc90_BB = 307 if soc90_allyr==346
replace soc90_BB = 308 if soc90_allyr==347
replace soc90_BB = 307 if soc90_allyr==348
replace soc90_BB = 307 if soc90_allyr==349
replace soc90_BB = 309 if soc90_allyr==350
replace soc90_BB = 318 if soc90_allyr==360
replace soc90_BB = 318 if soc90_allyr==361
replace soc90_BB = 318 if soc90_allyr==362
replace soc90_BB = 319 if soc90_allyr==363
replace soc90_BB = 319 if soc90_allyr==364
replace soc90_BB = 320 if soc90_allyr==370
replace soc90_BB = 310 if soc90_allyr==371
replace soc90_BB = 311 if soc90_allyr==380
replace soc90_BB = 312 if soc90_allyr==381
replace soc90_BB = 312 if soc90_allyr==382
replace soc90_BB = 312 if soc90_allyr==383
replace soc90_BB = 321 if soc90_allyr==384
replace soc90_BB = 321 if soc90_allyr==385
replace soc90_BB = 321 if soc90_allyr==386
replace soc90_BB = . if soc90_allyr==387
replace soc90_BB = 314 if soc90_allyr==390
replace soc90_BB = 313 if soc90_allyr==391
replace soc90_BB = 313 if soc90_allyr==392
replace soc90_BB = 314 if soc90_allyr==393
replace soc90_BB = 322 if soc90_allyr==394
replace soc90_BB = 322 if soc90_allyr==395
replace soc90_BB = 322 if soc90_allyr==396
replace soc90_BB = 314 if soc90_allyr==399
replace soc90_BB = 401 if soc90_allyr==400
replace soc90_BB = 402 if soc90_allyr==401
replace soc90_BB = 403 if soc90_allyr==410
replace soc90_BB = 404 if soc90_allyr==411
replace soc90_BB = 403 if soc90_allyr==412
replace soc90_BB = 405 if soc90_allyr==420
replace soc90_BB = 406 if soc90_allyr==421
replace soc90_BB = 406 if soc90_allyr==430
replace soc90_BB = 407 if soc90_allyr==440
replace soc90_BB = 407 if soc90_allyr==441
replace soc90_BB = 408 if soc90_allyr==450
replace soc90_BB = 408 if soc90_allyr==451
replace soc90_BB = 410 if soc90_allyr==452
replace soc90_BB = 410 if soc90_allyr==459
replace soc90_BB = 411 if soc90_allyr==460
replace soc90_BB = 411 if soc90_allyr==461
replace soc90_BB = 412 if soc90_allyr==462
replace soc90_BB = 412 if soc90_allyr==463
replace soc90_BB = 413 if soc90_allyr==490
replace soc90_BB = . if soc90_allyr==491
replace soc90_BB = 501 if soc90_allyr==500
replace soc90_BB = 501 if soc90_allyr==501
replace soc90_BB = 501 if soc90_allyr==502
replace soc90_BB = 501 if soc90_allyr==503
replace soc90_BB = 502 if soc90_allyr==504
replace soc90_BB = 501 if soc90_allyr==505
replace soc90_BB = 501 if soc90_allyr==506
replace soc90_BB = 503 if soc90_allyr==507
replace soc90_BB = 504 if soc90_allyr==509
replace soc90_BB = 506 if soc90_allyr==510
replace soc90_BB = 506 if soc90_allyr==511
replace soc90_BB = 506 if soc90_allyr==512
replace soc90_BB = 506 if soc90_allyr==513
replace soc90_BB = 506 if soc90_allyr==514
replace soc90_BB = 506 if soc90_allyr==515
replace soc90_BB = 505 if soc90_allyr==516
replace soc90_BB = 506 if soc90_allyr==517
replace soc90_BB = 506 if soc90_allyr==518
replace soc90_BB = 506 if soc90_allyr==519
replace soc90_BB = 519 if soc90_allyr==520
replace soc90_BB = 507 if soc90_allyr==521
replace soc90_BB = 507 if soc90_allyr==522
replace soc90_BB = 519 if soc90_allyr==523
replace soc90_BB = 507 if soc90_allyr==524
replace soc90_BB = 508 if soc90_allyr==525
replace soc90_BB = 508 if soc90_allyr==526
replace soc90_BB = 507 if soc90_allyr==529
replace soc90_BB = 510 if soc90_allyr==530
replace soc90_BB = 510 if soc90_allyr==531
replace soc90_BB = 509 if soc90_allyr==532
replace soc90_BB = 510 if soc90_allyr==533
replace soc90_BB = 510 if soc90_allyr==534
replace soc90_BB = 510 if soc90_allyr==535
replace soc90_BB = 510 if soc90_allyr==536
replace soc90_BB = 510 if soc90_allyr==537
replace soc90_BB = 511 if soc90_allyr==540
replace soc90_BB = 511 if soc90_allyr==541
replace soc90_BB = 511 if soc90_allyr==542
replace soc90_BB = 511 if soc90_allyr==543
replace soc90_BB = 511 if soc90_allyr==544
replace soc90_BB = 512 if soc90_allyr==550
replace soc90_BB = 512 if soc90_allyr==551
replace soc90_BB = 512 if soc90_allyr==552
replace soc90_BB = 513 if soc90_allyr==553
replace soc90_BB = 512 if soc90_allyr==554
replace soc90_BB = 512 if soc90_allyr==555
replace soc90_BB = 512 if soc90_allyr==556
replace soc90_BB = 512 if soc90_allyr==557
replace soc90_BB = 512 if soc90_allyr==559
replace soc90_BB = 514 if soc90_allyr==560
replace soc90_BB = 514 if soc90_allyr==561
replace soc90_BB = 514 if soc90_allyr==562
replace soc90_BB = 514 if soc90_allyr==563
replace soc90_BB = 514 if soc90_allyr==569
replace soc90_BB = 515 if soc90_allyr==570
replace soc90_BB = 515 if soc90_allyr==571
replace soc90_BB = 515 if soc90_allyr==572
replace soc90_BB = 515 if soc90_allyr==573
replace soc90_BB = 515 if soc90_allyr==579
replace soc90_BB = 516 if soc90_allyr==580
replace soc90_BB = 516 if soc90_allyr==581
replace soc90_BB = 516 if soc90_allyr==582
replace soc90_BB = 518 if soc90_allyr==590
replace soc90_BB = 518 if soc90_allyr==591
replace soc90_BB = . if soc90_allyr==592
replace soc90_BB = 518 if soc90_allyr==593
replace soc90_BB = 517 if soc90_allyr==594
replace soc90_BB = 518 if soc90_allyr==595
replace soc90_BB = 518 if soc90_allyr==596
replace soc90_BB = 518 if soc90_allyr==597
replace soc90_BB = 518 if soc90_allyr==598
replace soc90_BB = 518 if soc90_allyr==599
replace soc90_BB = 601 if soc90_allyr==600
replace soc90_BB = 601 if soc90_allyr==601
replace soc90_BB = 602 if soc90_allyr==610
replace soc90_BB = 602 if soc90_allyr==611
replace soc90_BB = 602 if soc90_allyr==612
replace soc90_BB = 602 if soc90_allyr==613
replace soc90_BB = 602 if soc90_allyr==614
replace soc90_BB = 603 if soc90_allyr==615
replace soc90_BB = 603 if soc90_allyr==619
replace soc90_BB = 604 if soc90_allyr==620
replace soc90_BB = 605 if soc90_allyr==621
replace soc90_BB = 606 if soc90_allyr==622
replace soc90_BB = 699 if soc90_allyr==630
replace soc90_BB = 699 if soc90_allyr==631
replace soc90_BB = 607 if soc90_allyr==640
replace soc90_BB = 608 if soc90_allyr==641
replace soc90_BB = 608 if soc90_allyr==642
replace soc90_BB = 608 if soc90_allyr==643
replace soc90_BB = 609 if soc90_allyr==644
replace soc90_BB = 610 if soc90_allyr==650
replace soc90_BB = 610 if soc90_allyr==651
replace soc90_BB = 611 if soc90_allyr==652
replace soc90_BB = 613 if soc90_allyr==659
replace soc90_BB = 614 if soc90_allyr==660
replace soc90_BB = 614 if soc90_allyr==661
replace soc90_BB = 615 if soc90_allyr==670
replace soc90_BB = 615 if soc90_allyr==671
replace soc90_BB = 615 if soc90_allyr==672
replace soc90_BB = 699 if soc90_allyr==673
replace soc90_BB = 699 if soc90_allyr==690
replace soc90_BB = 699 if soc90_allyr==691
replace soc90_BB = 699 if soc90_allyr==699
replace soc90_BB = 701 if soc90_allyr==700
replace soc90_BB = 701 if soc90_allyr==701
replace soc90_BB = 701 if soc90_allyr==702
replace soc90_BB = 701 if soc90_allyr==703
replace soc90_BB = 702 if soc90_allyr==710
replace soc90_BB = 703 if soc90_allyr==719
replace soc90_BB = 704 if soc90_allyr==720
replace soc90_BB = 705 if soc90_allyr==721
replace soc90_BB = 705 if soc90_allyr==722
replace soc90_BB = 707 if soc90_allyr==730
replace soc90_BB = 707 if soc90_allyr==731
replace soc90_BB = 707 if soc90_allyr==732
replace soc90_BB = 707 if soc90_allyr==733
replace soc90_BB = 707 if soc90_allyr==790
replace soc90_BB = 707 if soc90_allyr==791
replace soc90_BB = 706 if soc90_allyr==792
replace soc90_BB = 801 if soc90_allyr==800
replace soc90_BB = 801 if soc90_allyr==801
replace soc90_BB = 801 if soc90_allyr==802
replace soc90_BB = 801 if soc90_allyr==809
replace soc90_BB = 801 if soc90_allyr==810
replace soc90_BB = 801 if soc90_allyr==811
replace soc90_BB = 801 if soc90_allyr==812
replace soc90_BB = 801 if soc90_allyr==813
replace soc90_BB = 801 if soc90_allyr==814
replace soc90_BB = 802 if soc90_allyr==820
replace soc90_BB = 803 if soc90_allyr==821
replace soc90_BB = 803 if soc90_allyr==822
replace soc90_BB = 803 if soc90_allyr==823
replace soc90_BB = 803 if soc90_allyr==824
replace soc90_BB = 803 if soc90_allyr==825
replace soc90_BB = 803 if soc90_allyr==826
replace soc90_BB = 803 if soc90_allyr==829
replace soc90_BB = 804 if soc90_allyr==830
replace soc90_BB = 804 if soc90_allyr==831
replace soc90_BB = 804 if soc90_allyr==832
replace soc90_BB = 804 if soc90_allyr==833
replace soc90_BB = 804 if soc90_allyr==834
replace soc90_BB = 804 if soc90_allyr==839
replace soc90_BB = 804 if soc90_allyr==840
replace soc90_BB = 804 if soc90_allyr==841
replace soc90_BB = 804 if soc90_allyr==842
replace soc90_BB = 804 if soc90_allyr==843
replace soc90_BB = 804 if soc90_allyr==844
replace soc90_BB = 805 if soc90_allyr==850
replace soc90_BB = 806 if soc90_allyr==851
replace soc90_BB = 806 if soc90_allyr==859
replace soc90_BB = 807 if soc90_allyr==860
replace soc90_BB = 807 if soc90_allyr==861
replace soc90_BB = 808 if soc90_allyr==862
replace soc90_BB = 807 if soc90_allyr==863
replace soc90_BB = 807 if soc90_allyr==864
replace soc90_BB = 808 if soc90_allyr==869
replace soc90_BB = 812 if soc90_allyr==870
replace soc90_BB = 812 if soc90_allyr==871
replace soc90_BB = 809 if soc90_allyr==872
replace soc90_BB = 810 if soc90_allyr==873
replace soc90_BB = 811 if soc90_allyr==874
replace soc90_BB = 812 if soc90_allyr==875
replace soc90_BB = 812 if soc90_allyr==880
replace soc90_BB = 812 if soc90_allyr==881
replace soc90_BB = 812 if soc90_allyr==882
replace soc90_BB = 812 if soc90_allyr==883
replace soc90_BB = 812 if soc90_allyr==884
replace soc90_BB = 813 if soc90_allyr==885
replace soc90_BB = 813 if soc90_allyr==886
replace soc90_BB = 814 if soc90_allyr==887
replace soc90_BB = 812 if soc90_allyr==889
replace soc90_BB = 816 if soc90_allyr==890
replace soc90_BB = 816 if soc90_allyr==891
replace soc90_BB = 816 if soc90_allyr==892
replace soc90_BB = 816 if soc90_allyr==893
replace soc90_BB = 816 if soc90_allyr==894
replace soc90_BB = 816 if soc90_allyr==895
replace soc90_BB = 815 if soc90_allyr==896
replace soc90_BB = 816 if soc90_allyr==897
replace soc90_BB = 816 if soc90_allyr==898
replace soc90_BB = 816 if soc90_allyr==899
replace soc90_BB = 901 if soc90_allyr==900
replace soc90_BB = 911 if soc90_allyr==901
replace soc90_BB = 911 if soc90_allyr==902
replace soc90_BB = 911 if soc90_allyr==903
replace soc90_BB = 911 if soc90_allyr==904
replace soc90_BB = 902 if soc90_allyr==910
replace soc90_BB = 902 if soc90_allyr==911
replace soc90_BB = 902 if soc90_allyr==912
replace soc90_BB = 902 if soc90_allyr==913
replace soc90_BB = 902 if soc90_allyr==919
replace soc90_BB = 903 if soc90_allyr==920
replace soc90_BB = 903 if soc90_allyr==921
replace soc90_BB = 903 if soc90_allyr==922
replace soc90_BB = 903 if soc90_allyr==923
replace soc90_BB = 903 if soc90_allyr==924
replace soc90_BB = 903 if soc90_allyr==929
replace soc90_BB = 904 if soc90_allyr==930
replace soc90_BB = 904 if soc90_allyr==931
replace soc90_BB = 904 if soc90_allyr==932
replace soc90_BB = 904 if soc90_allyr==933
replace soc90_BB = 904 if soc90_allyr==934
replace soc90_BB = 905 if soc90_allyr==940
replace soc90_BB = 905 if soc90_allyr==941
replace soc90_BB = 906 if soc90_allyr==950
replace soc90_BB = 906 if soc90_allyr==951
replace soc90_BB = 906 if soc90_allyr==952
replace soc90_BB = 907 if soc90_allyr==953
replace soc90_BB = 908 if soc90_allyr==954
replace soc90_BB = 909 if soc90_allyr==955
replace soc90_BB = 909 if soc90_allyr==956
replace soc90_BB = 909 if soc90_allyr==957
replace soc90_BB = 909 if soc90_allyr==958
replace soc90_BB = 909 if soc90_allyr==959
replace soc90_BB = 910 if soc90_allyr==990
replace soc90_BB = . if soc90_allyr==999





////////////////////////////////////////////
// Labelling this new var
////////////////////////////////////////////
// Again taken from the BBoccs spreadsheet file

label define soc90_BB 101 "General managers in large organisations, senior administrators in national govt [100|101]", modify
label define soc90_BB 118 "Local government officers (administrative and executive functions) and general adminsitrators in national govt [102|103]", modify
label define soc90_BB 102 "Production, works and maintenance managers [110]", modify
label define soc90_BB 103 "Managers in building contracting (+mining/energy & clerks of works) [111-113]", modify
label define soc90_BB 104 "Treasurers and company financial managers (+company secreatries) [120|127]", modify
label define soc90_BB 105 "Marketing and sales managers [121]", modify
label define soc90_BB 119 "Advertising and public relations managers [123]", modify
label define soc90_BB 107 "Personnel, training and industrial relations managers [124]", modify
label define soc90_BB 106 "Computer systems and data processing managers (+purchasing/methods managers) [122|125|126]", modify
label define soc90_BB 108 "Bank, Building Society and Post Office managers (except self-employed) [131]", modify
label define soc90_BB 109 "Other financial institutions and office managers nec (inc. credit controllers and civil service EOs) [130|132|139]", modify
label define soc90_BB 110 "Managers in transport and storing [140-142]", modify
label define soc90_BB 111 "Protective service officers (police, armed forces, immigration) [150-155]", modify
label define soc90_BB 112 "Managers in farming, horticulture, forestry and fishing [160|169]", modify
label define soc90_BB 120 "Hairdressers' and barbers' managers and proprietors [172]", modify
label define soc90_BB 115 "Restaurant and catering managers [174]", modify
label define soc90_BB 116 "Hotel/accommodation/pub/inn managers and club stewards [173|175]", modify
label define soc90_BB 113 "Managers and proprietors in service industries nec [170|171|176-179]", modify
label define soc90_BB 117 "Other managers and administrators nec [190|191|199]", modify
label define soc90_BB 201 "Natural scientists (+social scientists) [200-202|209|291]", modify
label define soc90_BB 204 "Mechanical/civil/structural/municipal/mining/quarrying engineers [210|211]", modify
label define soc90_BB 203 "Software engineers professional [214]", modify
label define soc90_BB 217 "Design and development engineers [216]", modify
label define soc90_BB 205 "Other engineers and technologists nec [212|213|215|217-219].", modify
label define soc90_BB 206 "Medical practitioners [220]", modify
label define soc90_BB 207 "Pharmacists and dentists (+opticians, vets, psychologists) [221-224|290]", modify
label define soc90_BB 208 "University and polytechnic teaching professionals [230]", modify
label define soc90_BB 209 "Higher and Further education teaching professionals [231]", modify
label define soc90_BB 210 "Secondary (and middle school deemed secondary) education teaching professionals (+inspectors) [232|233]", modify
label define soc90_BB 211 "Primary (and middle school deemed primary) and nursery education teaching professionals [234]", modify
label define soc90_BB 212 "Other teaching professionals nec [235|239]", modify
label define soc90_BB 213 "Legal professionals (e.g. solicitors)[240-243]", modify
label define soc90_BB 214 "Chartered and certified accountants [250]", modify
label define soc90_BB 218 "Management consultants, business analysts, actuaries, economists [251-253]", modify
label define soc90_BB 215 "Architects, town planners and surveyors [260-262]", modify
label define soc90_BB 216 "Social workers, probation officers [293]", modify
label define soc90_BB 301 "Laboratory/engineering/electrical technicians [300-302]", modify
label define soc90_BB 302 "Other scientific technicians nec [303|304|309]", modify
label define soc90_BB 303 "Draughtspersons, quantity/other surveyors [310-313]", modify
label define soc90_BB 304 "Computer analyst/programmers [320]", modify
label define soc90_BB 305 "Ship and aircraft officers, air taffic planners and controllers [330-332]", modify
label define soc90_BB 306 "Nurses & midwives [340|341]", modify
label define soc90_BB 307 "Other health professionals (e.g. radiographers, medical technicians, dental auxiliaries) [342|344-346|348|349]", modify
label define soc90_BB 308 "Therapists (physios, OTs, psychotherapists etc) [343|347]", modify
label define soc90_BB 309 "Legal service and related occupations [350]", modify
label define soc90_BB 318 "Underwriters, claims assessors, brokers, investment analysts, taxation experts, valuers [360-362]", modify
label define soc90_BB 319 "Personnel / industrial relations / organisation and methods officers [363|364]", modify
label define soc90_BB 320 "Matrons, houseparents [370]", modify
label define soc90_BB 310 "Welfare, community and youth workers [371]", modify
label define soc90_BB 311 "Authors, writers, journalists [380]", modify
label define soc90_BB 312 "Artists, commercial artists, designers [381-383]", modify
label define soc90_BB 321 "Actors, producers, musicians, sound/video operators [384-386]", modify
label define soc90_BB 313 "Vocational and industrial trainers, careers advisers [391|392]", modify
label define soc90_BB 322 "Health and safety officers, statutory inspectors [394-396]", modify
label define soc90_BB 314 "Other associate professional and technical occupations nec [390|393|399]", modify
label define soc90_BB 401 "Civil administrative officers and assistants [400]", modify
label define soc90_BB 402 "Local government clerical officers and assistants [401]", modify
label define soc90_BB 403 "Book-keepers, other financial clerks, and cash collectors [410|412]", modify
label define soc90_BB 404 "Counter clerks and cashiers [411]", modify
label define soc90_BB 405 "Filing, computer and other records clerks (inc. legal conveyancing) [420]", modify
label define soc90_BB 406 "Clerks (nes) [421|430]", modify
label define soc90_BB 407 "Stores and despatch clerks, storekeepers [440|441]", modify
label define soc90_BB 408 "Medical & legal secretaries [450|451]", modify
label define soc90_BB 410 "Other secretaries, personal assistants, typists, & word processor operators [459]", modify
label define soc90_BB 411 "Receptionists/telephonists [460|461]", modify
label define soc90_BB 412 "Telephone/radio/telegraph operators [462/463]", modify
label define soc90_BB 413 "Computer operators, data processing operators, other office machine operators [490]", modify
label define soc90_BB 501 "Bricklayers, roofers, pasterers, glaziers, scaffolders, floorers [500-503|505|506]", modify
label define soc90_BB 502 "Builders, building contractors [504]", modify
label define soc90_BB 503 "Painters and decorators [507]", modify
label define soc90_BB 504 "Other construction trades nec [509]", modify
label define soc90_BB 505 "Metal working production and maintenance fitters [516]", modify
label define soc90_BB 506 "Other machine tool setters & setter-operators [510-515|517-519]", modify
label define soc90_BB 507 "Electricians and other electrical/electronic trades nec [521|522|524|529]", modify
label define soc90_BB 519 "Telephone & production (electrical/electronic) fitters [520|523]", modify
label define soc90_BB 508 "Computer/radio/TV/video engineers and maintenance [525|526]", modify
label define soc90_BB 509 "Plumbers, heating and ventilating engineers and related trades [532]", modify
label define soc90_BB 510 "Welding trades (+sheet metal workers and riveters) [530|531|533-537]", modify
label define soc90_BB 511 "Vehicle trades (e.g. motor mechanics) [540-544]", modify
label define soc90_BB 513 "Sewing machinists, menders, darners and embroiderers [553]", modify
label define soc90_BB 512 "Other textiles, garments and related trades nec [550-552|554-557|559]", modify
label define soc90_BB 514 "Printing and related trades [560-569]", modify
label define soc90_BB 515 "Woodworking trades [570-573|579]", modify
label define soc90_BB 516 "Food preparation trades (bakers, butchers, fishmongers) [580-582]", modify
label define soc90_BB 517 "Gardeners, groundsmen/women [594]", modify
label define soc90_BB 518 "Other craft and related occupations nec [590-592|595-599]", modify
label define soc90_BB 601 "NCOs and other ranks, armed forces [600|601]", modify
label define soc90_BB 602 "Public service security officers, non-managers (police, armed forces, immigration) [610-614]", modify
label define soc90_BB 603 "Non-public service protective service occupations (e.g. security guards) [615|619]", modify
label define soc90_BB 604 "Chefs, cooks hotel supervisor [620]", modify
label define soc90_BB 605 "Waiters, waitresses [621]", modify
label define soc90_BB 606 "Bar staff [622]", modify
label define soc90_BB 607 "Assistant nurses, nursing auxiliaries [640]", modify
label define soc90_BB 608 "Dental nurses, hospital ward assistants, ambulance staff [641-643]", modify
label define soc90_BB 609 "Care assistants and attendants [644]", modify
label define soc90_BB 610 "Nursery nurses and playgroup leaders [650|651]", modify
label define soc90_BB 611 "Educational assistants [652]", modify
label define soc90_BB 613 "Other childcare and related occupations nec [659]", modify
label define soc90_BB 614 "Hairdressers, beauticians and related occupations [660|661]", modify
label define soc90_BB 615 "Caretakers and housekeepers [670-672]", modify
label define soc90_BB 699 "Other personal and protective service occupations nec [630|631|673|690|691|699]", modify
label define soc90_BB 701 "Buyers, brokers and related agents [700-703]", modify
label define soc90_BB 702 "Technical and wholesale sales representatives [710]", modify
label define soc90_BB 703 "Other sales representatives nec [719]", modify
label define soc90_BB 704 "Sales assistants [720]", modify
label define soc90_BB 705 "Retail cash desk and check-out operators [721|722]", modify
label define soc90_BB 707 "Sales occupations nec (inc mobile salespersons and merchaniders) [730-733|790|791]", modify
label define soc90_BB 706 "Telephone salespersons [792]", modify
label define soc90_BB 801 "Food, drink, tobacco, textiles & tannery process operatives [800-802|809|810-814]", modify
label define soc90_BB 802 "Chemical, gas and petroleum process plant operatives [820]", modify
label define soc90_BB 803 "Paper, plastics and related process operatives [821-826|829]", modify
label define soc90_BB 804 "Metal making and treating process operatives [830-834|839|840-844]", modify
label define soc90_BB 805 "Assemblers/lineworkers (electrical/electronic goods) [850]", modify
label define soc90_BB 806 "Other assemblers/lineworkers nes [851|859]", modify
label define soc90_BB 807 "Inspectors, viewers, testers, sorters [860|861|863|864]", modify
label define soc90_BB 808 "Packers, bottlers, canners, fillers & other routine process operatives [862|869]", modify
label define soc90_BB 809 "Drivers of road goods vehicles [872]", modify
label define soc90_BB 810 "Bus and coach drivers [873]", modify
label define soc90_BB 811 "Taxi, cab drivers and chauffeurs [874]", modify
label define soc90_BB 813 "Crane and mechanical plant drivers [885|886]", modify
label define soc90_BB 814 "Fork lift and mechanical truck drivers [887]", modify
label define soc90_BB 812 "Other transport & machinery operatives nes [870|871|875|880-884|889]", modify
label define soc90_BB 815 "Construction and related operatives [896]", modify
label define soc90_BB 816 "Plant and machine operatives nec [890-894|896-899]", modify
label define soc90_BB 901 "Farm workers [900]", modify
label define soc90_BB 911 "All other occupations in farming, fishing, and forestry [901-904]", modify
label define soc90_BB 902 "Other occupations in mining and manufacturing [910-913|919]", modify
label define soc90_BB 903 "Other occupations in construction [920-924|929]", modify
label define soc90_BB 904 "Other occupations in transport (inc. goods porters) [930-934]", modify
label define soc90_BB 905 "Other occupations in communications (inc. postal workers) [940|941]", modify
label define soc90_BB 906 "Kitchen/hotel/hospital porters [950-952]", modify
label define soc90_BB 907 "Counterhands, catering assistants [953]", modify
label define soc90_BB 908 "Shelf fillers [954]", modify
label define soc90_BB 909 "Cleaners, domestics, and other occupations in sales and services [955-959]", modify
label define soc90_BB 910 "All other labourers and related workers [910]", modify


// To add labels 
label values soc90_BB soc90_BB
numlabel soc90_BB, mask(#_) add force
order soc90_BB, after(soc90_3)







//////////////////////////////////////////////////////////////////////
// Splitting this into industry subgroups
// (This splits all cases that have a large enough sample size)
//////////////////////////////////////////////////////////////////////

/* The next section generates an error when run from 0_BHPS_Master (2013/04)- I think it might because I'm trying to 
	run it from within two different .do files that refer to the same directory using different globals 
	(this is in 1_data_BBsoc90.do).  But actually the entire .doi file needs changing to run in BHPS - I don't think
	it was ever meant to do that. So I've therefore introduced the following code, WHICH REQUIRES this to have
	been run from within the work data first. 
	END OF SECTION ADDED IN APRIL 2013 */


* Generating the list of splits, based on soc90_BB and sic92_1A cross-tabs
preserve
	* Setting the weights
	global extraif "age>=20 & age<65 & WORK==1 & _country~=3 & selfemp1==1 & soc90_allyr<."
	/* This is the new section added in April 2013 - previously there was no IF loop */
	capture include "$dir\reweight_SOCallyrs.doi"     
	if _rc~=0	display "Data is BHPS data that doesn't need reweighting (noted April 2013)"
	if _rc==0	{
		* Collapsing the (weighted) data
		keep if strain4<.
		gen one = 1
		tab sic92_1A, gen(industry)
		collapse (sum) wtcount=one industry* [pweight=_w_eibsocR], by(soc90_BB)
		list soc90_BB wtcount industry1-industry6 if wtcount>100, nol
		drop if soc90_BB==.
		* Figuring out which cases to split
		reshape long industry, i(soc90_BB) j(sic)
		ren industry numinSIC
		bysort soc90_BB (numinSIC): gen mode=(_n==_N)
		gen enoughN = (numinSIC>30)
		bysort soc90_BB enoughN: egen Nremain = total(numinSIC)
		bysort soc90_BB (enoughN Nremain): gen prev_N = Nremain[_n-1] if enoughN==1 & enoughN[_n-1]==0
		gen split = (enoughN==1 & prev_N>30)
		gen sic92_1A = sic+1 if sic>1
		gen soc90_1 = floor(soc90_BB/100)
		bysort soc90_1: egen maxsoc = max(soc90_BB)
		* Outputting this
		keep if split==1
		bysort soc90_1: gen soc90_BBr = maxsoc+_n
		keep soc90_BB sic92_1A maxsoc numinSIC prev_N soc90_BBr
		outsheet using "$workingdir\occ_ind.csv", comma replace
		drop numinSIC prev_N maxsoc
		save "$workingdir\soc90_BBr.dta", replace
	/**/	}
restore

* Merging this into the data
dis in red "This needs running from the Work .do ffiles before running from the BHPS .do files"
pause
capture 	merge m:1 soc90_BB sic92_1A using "$worksourcedir\soc90_BBr.dta"			// From the BHPS .do files
if rc~=0 	merge m:1 soc90_BB sic92_1A using "$workingdir\soc90_BBr.dta"				// From the Work .do files
gen soc90_BBR = cond(soc90_BBr>=., soc90_BB, soc90_BBr)
label var soc90_BBR "Occupation-industry subgroups - BB vers of SOC90"
drop _merge soc90_BBr



